import { Form, Input, Modal } from "antd"
import React from "react"
import '../../tencentAdPutIn/index.less'

interface Props {
    visible?: boolean
    onClose?: () => void
    onChange?: () => void
}

/**
 * 新增修改账户组
 * @returns 
 */
const ModifyAccountGroup: React.FC<Props> = ({ visible, onChange, onClose }) => {

    /******************************************/
    const [form] = Form.useForm()
    /******************************************/

    return <Modal
        title={<strong>账户资产共享组新增</strong>}
        open={visible}
        onCancel={onClose}
        className="modalResetCss"
    >
        <Form
            name="basicMiniProgramWechat"
            form={form}
            layout='vertical'
            autoComplete="off"
            initialValues={{

            }}
        >
            <Form.Item label={<strong>账户资产共享组名称</strong>} name="accountGroupName" rules={[{ required: true, message: '请输入账户资产共享组名称!' }]}>
                <Input placeholder="请输入游戏名称" allowClear />
            </Form.Item>
            <Form.Item label={<strong>授权</strong>} name="gameName" rules={[{ required: true, message: '请输入游戏名称!' }]}>
                <Input placeholder="请输入游戏名称" allowClear />
            </Form.Item>
            <Form.Item
                label={<strong>appId</strong>}
                name="appId"
                rules={[
                    { required: true, message: '请输入appId!' }
                ]}
            >
                <Input placeholder="请输入appId" allowClear />
            </Form.Item>
        </Form>
    </Modal>
}


export default React.memo(ModifyAccountGroup)